ISXEVE - Feature - New #1195

Enter Starbase Forcefield Password
2014-09-29 03:56 PM - MSMage

Status: Implemented
Priority: Normal
Assignee: Amadeus
Category:

Target version:

vbulletin_issue_id:

Start date: 2014-09-29
Due date:

% Done: 0%
Estimated time: 0.00 hour

Description

Clicking on the capacitor readout for a ship or on the ship in space allows you to set a starbase forcefield password, allowing access
to password protected starbases. Please add a Me.Ship method to set this. Example: Me.Ship:SetStarbasePassword[password]

History

#1 - 2014-10-04 03:21 AM - Amadeus
- Status changed from New to Feedback Required

| need a starbase name/information that | can use for testing. One that requires a password and that | can access and that is "relatively" safe. (You

can PM me the information on IRC.)

#2 - 2014-10-04 09:28 PM - Amadeus

- Assignee set to Amadeus

#3 - 2014-10-07 07:22 PM - Amadeus

- Status changed from Feedback Required to In Progress

#4 - 2014-10-10 01:05 PM - Amadeus

- Status changed from In Progress to Implemented

October 10, 2014
[ISXEVE-20141001.0012]
* Datatype: 'ship'
New Method (s) :
1. SetStarbaseForcefieldPassword["password"]

This method does not provide any feedback on success; however, it does work if the correct password is used.
